> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itspropel.com/llms.txt.
> For full documentation content, see https://docs.itspropel.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itspropel.com/_mcp/server.

# Delete

DELETE https://companies/%7Bcompany_id%7D
Content-Type: application/x-www-form-urlencoded

# Create Tenant Endpoint

This endpoint allows users to create a new tenant. Upon successful creation of a tenant, several related endpoints for managing locations under that tenant are available.

## Related Endpoints

Once a tenant is created, the following endpoints can be utilized to manage locations associated with that tenant:

1. **List Locations**
    - **GET** `{{url}}/tenants/{tenant_id}/locations`
    - Description: Retrieves a list of all locations associated with the specified tenant.
2. **Create Location**
    - **POST** `{{url}}/tenants/{tenant_id}/locations`
    - Description: Creates a new location for the specified tenant.
3. **Get Single Location**
    - **GET** `{{url}}/tenants/{tenant_id}/locations/{id}`
    - Description: Retrieves details of a specific location associated with the specified tenant.
4. **Update Location**
    - **PUT** `{{url}}/tenants/{tenant_id}/locations/{id}`
    - Description: Updates the details of a specific location associated with the specified tenant.
5. **Delete Location**
    - **DELETE** `{{url}}/tenants/{tenant_id}/locations/{id}`
    - Description: Deletes a specific location associated with the specified tenant.

## Request Body

The request body for creating a tenant should include the necessary parameters to define the tenant's details.

## Response

Upon successful creation of a tenant, the response will confirm the creation and may include details of the newly created tenant.

This endpoint is essential for setting up a new tenant and managing its locations effectively.

Reference: https://docs.itspropel.com/propel-biz/03-company/03-company-crud/delete

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: PropelBiz
  version: 1.0.0
paths:
  /companies/%7Bcompany_id%7D:
    delete:
      operationId: delete
      summary: Delete
      description: >-
        # Create Tenant Endpoint


        This endpoint allows users to create a new tenant. Upon successful
        creation of a tenant, several related endpoints for managing locations
        under that tenant are available.


        ## Related Endpoints


        Once a tenant is created, the following endpoints can be utilized to
        manage locations associated with that tenant:


        1. **List Locations**
            - **GET** `{{url}}/tenants/{tenant_id}/locations`
            - Description: Retrieves a list of all locations associated with the specified tenant.
        2. **Create Location**
            - **POST** `{{url}}/tenants/{tenant_id}/locations`
            - Description: Creates a new location for the specified tenant.
        3. **Get Single Location**
            - **GET** `{{url}}/tenants/{tenant_id}/locations/{id}`
            - Description: Retrieves details of a specific location associated with the specified tenant.
        4. **Update Location**
            - **PUT** `{{url}}/tenants/{tenant_id}/locations/{id}`
            - Description: Updates the details of a specific location associated with the specified tenant.
        5. **Delete Location**
            - **DELETE** `{{url}}/tenants/{tenant_id}/locations/{id}`
            - Description: Deletes a specific location associated with the specified tenant.

        ## Request Body


        The request body for creating a tenant should include the necessary
        parameters to define the tenant's details.


        ## Response


        Upon successful creation of a tenant, the response will confirm the
        creation and may include details of the newly created tenant.


        This endpoint is essential for setting up a new tenant and managing its
        locations effectively.
      tags:
        - subpackage_03Company.subpackage_03Company/03CompanyCrud
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/03 Company_03 Company >
                  CRUD_Delete_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties: {}
servers:
  - url: https:/
components:
  schemas:
    03 Company_03 Company > CRUD_Delete_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: 03 Company_03 Company > CRUD_Delete_Response_200

```

## SDK Code Examples

```python
import requests

url = "https://https/companies/%7Bcompany_id%7D"

payload = ""
headers = {"Content-Type": "application/x-www-form-urlencoded"}

response = requests.delete(url, data=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://https/companies/%7Bcompany_id%7D';
const options = {
  method: 'DELETE',
  headers: {'Content-Type': 'application/x-www-form-urlencoded'},
  body: new URLSearchParams('')
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://https/companies/%7Bcompany_id%7D"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Content-Type", "application/x-www-form-urlencoded")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/companies/%7Bcompany_id%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Content-Type"] = 'application/x-www-form-urlencoded'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://https/companies/%7Bcompany_id%7D")
  .header("Content-Type", "application/x-www-form-urlencoded")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://https/companies/%7Bcompany_id%7D', [
  'form_params' => null,
  'headers' => [
    'Content-Type' => 'application/x-www-form-urlencoded',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/companies/%7Bcompany_id%7D");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Content-Type", "application/x-www-form-urlencoded");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/x-www-form-urlencoded"]

let request = NSMutableURLRequest(url: NSURL(string: "https://https/companies/%7Bcompany_id%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```